Name:      silgraphite
Version:   2.3.1
Release:   4%{?dist}
Summary:   Font rendering capabilities for complex non-Roman writing systems
Group:     Development/Tools
License:   LGPLv2+ or CPL
URL:       http://sourceforge.net/projects/silgraphite/
Source:    http://downloads.sourceforge.net/silgraphite/silgraphite-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Graphite is a project within SIL’s Non-Roman Script Initiative and Language
Software Development groups to provide rendering capabilities for complex
non-Roman writing systems. Graphite can be used to create “smart fonts” capable
of displaying writing systems with various complex behaviors. With respect to
the Text Encoding Model, Graphite handles the "Rendering" aspect of writing
system implementation.

%package devel
Requires: %{name} = %{version}-%{release}
Summary: Files for developing with silgraphite
Group: Development/Libraries
Requires: pkgconfig

%description devel
Includes and definitions for developing with silgraphite.

%prep
%setup -q
chmod -x engine/README engine/license/* engine/doc/*
#See: rhbz#614814 internal compiler error
sed -i -e '/build_flags -O3/s/-O3//' engine/configure

%build
cd engine
%configure --disable-static
make %{?_smp_mflags}

%install
make -C engine install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la

%check
make -C engine/test/RegressionTest check

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc engine/README engine/license/License_CPLv05.txt
%doc engine/license/License_GPLv2.txt engine/license/License_LGPLv21.txt
%doc engine/license/LICENSING.txt
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%doc engine/doc/GTF_3_0.odt engine/doc/hungarian.txt engine/doc/policy.txt
%doc engine/doc/V2_Engine_Interface.odt engine/doc/V2_Segment_Interface.odt
%doc engine/doc/V2_TextSource_Interface.odt
%{_includedir}/graphite
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so

%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 15 2010 Caolán McNamara <caolanm@redhat.com> - 2.3.1-3
- Related: rhbz#614814 workaround internal compiler error

* Thu Jul 15 2010 Caolán McNamara <caolanm@redhat.com> - 2.3.1-2
- add CPL as other optional licence
- drop wrong extra description entry

* Thu Jul 15 2010 Caolán McNamara <caolanm@redhat.com> - 2.3.1-1 
- initial fedora import
